# CMSIS-DSP: arm_fir_decimate_fast_q31.c File Reference

| CMSIS-DSP Version 1.4.4 CMSIS DSP Software Library

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
arm_fir_decimate_fast_q31.c File Reference

## Functions

void | arm_fir_decimate_fast_q31 (arm_fir_decimate_instance_q31 *S, q31_t *pSrc, q31_t *pDst, uint32_t blockSize)
| Processing function for the Q31 FIR decimator (fast variant) for Cortex-M3 and Cortex-M4.